> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/about_cdn/how_to_prewarm.md).

# CDN actions: How to prewarm

Below you can read how to pre-warm content. You can either choose to pre-warm content though the CDN front end, or using the CDN API.

## Pre-warming using the CDN front end

1. **Log into the CDN control panel**: Open a web browser and navigate to the control panel URL. Enter your login credentials to access the control panel dashboard.
2. **Access Cache Management**: Once you have logged in, select the **Cache** tab.
3. **Specify content for warming**: In the **Warm selected URLs** field, enter the file names or paths of the files you want to preload. Be sure to add each file name or path in a new line.
4. **Confirm and initiate cache warming**: Review your list of files/URLs you entered to confirm what you want to warm. Click **Start warming** to start the process.
5. **Action verification**: Once the warming is complete, you can verify its success by accessing the files/URLs. These files/URLs should now load quicklly from the cache, ensuring an improved user experience.

## Pre-warming using the CDN API

1. **Open API**: Obtain API credentials (such as API keys or tokens). These credentials will authenticate your API requests.
2. **Identify content to pre-warm**: Determine the content that you want to pre-warm. This could be a list of URLs, assets, or resources that you want to ensure are present in the CDN cache.
3. **Construct the API request**: Create an HTTP request to the appropriate API endpoint.
4. **Send an API request**: Use the HTTP method specified in the CDN's [API Swagger documentation](https://api.cdn.i3d.net/docs/index.html). Be sure to include the necessary headers, API credentials, and contact identifiers in the request payload.
5. **Process the API response**: The API call will return a response indicating the status of your request. Check the response for success or error messages.

## Related topics

* [About CDN](/about_cdn.md)
* [How to purge](/about_cdn/how_to_purge.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.i3d.net/about_cdn/how_to_prewarm.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
